<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EncryptionInfo (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EncryptionInfo (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionInfo.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html"
               title="interface in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionInfo.html" target="_top">Frames</a>
        </li>
        <li><a href="EncryptionInfo.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Class EncryptionInfo" class="title">Class EncryptionInfo</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.crypt.EncryptionInfo</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EncryptionInfo</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
                <div class="block">This class may require <code>poi-ooxml</code> to be on the classpath to load
                    some <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                            title="enum in org.apache.poi.poifs.crypt"><code>EncryptionMode</code></a>s.
                </div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd>
                        <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getBuilder-org.apache.poi.poifs.crypt.EncryptionMode-"><code>getBuilder(EncryptionMode)</code></a>
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/util/BitField.html"
                                        title="class in org.apache.poi.util">BitField</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagAES">flagAES</a></span></code>
                                    <div class="block">A value that MUST be 1 if the protected content is an ECMA-376
                                        document
                                        ECMA-376.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/util/BitField.html"
                                        title="class in org.apache.poi.util">BitField</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagCryptoAPI">flagCryptoAPI</a></span></code>
                                    <div class="block">A flag that specifies whether CryptoAPI RC4 or ECMA-376
                                        encryption
                                        ECMA-376 is used.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/util/BitField.html"
                                        title="class in org.apache.poi.util">BitField</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagDocProps">flagDocProps</a></span></code>
                                    <div class="block">A value that MUST be 0 if document properties are encrypted.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/util/BitField.html"
                                        title="class in org.apache.poi.util">BitField</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagExternal">flagExternal</a></span></code>
                                    <div class="block">A value that MUST be 1 if extensible encryption is used.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#EncryptionInfo-org.apache.poi.poifs.filesystem.DirectoryNode-">EncryptionInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>
                                    <div class="block">Opens for decryption</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#EncryptionInfo-org.apache.poi.poifs.crypt.EncryptionMode-">EncryptionInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;encryptionMode)</code>
                                    <div class="block">Prepares for encryption, using the given Encryption Mode, and
                                        all other parameters as default.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#EncryptionInfo-org.apache.poi.poifs.crypt.EncryptionMode-org.apache.poi.poifs.crypt.CipherAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-int-int-org.apache.poi.poifs.crypt.ChainingMode-">EncryptionInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;encryptionMode,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                       title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                       title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm,
                                    int&nbsp;keyBits,
                                    int&nbsp;blockSize,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                       title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</code>
                                    <div class="block">Constructs an EncryptionInfo from scratch</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#EncryptionInfo-org.apache.poi.util.LittleEndianInput-org.apache.poi.poifs.crypt.EncryptionMode-">EncryptionInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                        title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;dis,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                       title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;preferredEncryptionMode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#EncryptionInfo-org.apache.poi.poifs.filesystem.POIFSFileSystem-">EncryptionInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>
                                    <div class="block">Opens for decryption</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html"
                                        title="interface in org.apache.poi.poifs.crypt">EncryptionInfoBuilder</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getBuilder-org.apache.poi.poifs.crypt.EncryptionMode-">getBuilder</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;encryptionMode)</code>
                                    <div class="block">This method loads the builder class with reflection, which may
                                        generate
                                        a <code>ClassNotFoundException</code> if the class is not on the classpath.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Decryptor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getDecryptor--">getDecryptor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getEncryptionFlags--">getEncryptionFlags</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getEncryptionMode--">getEncryptionMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Encryptor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getEncryptor--">getEncryptor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getHeader--">getHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getVerifier--">getVerifier</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getVersionMajor--">getVersionMajor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#getVersionMinor--">getVersionMinor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#isDocPropsEncrypted--">isDocPropsEncrypted</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#setDecryptor-org.apache.poi.poifs.crypt.Decryptor-">setDecryptor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Decryptor</a>&nbsp;decryptor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#setEncryptor-org.apache.poi.poifs.crypt.Encryptor-">setEncryptor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Encryptor</a>&nbsp;encryptor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#setHeader-org.apache.poi.poifs.crypt.EncryptionHeader-">setHeader</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a>&nbsp;header)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#setVerifier-org.apache.poi.poifs.crypt.EncryptionVerifier-">setVerifier</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a>&nbsp;verifier)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="flagCryptoAPI">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>flagCryptoAPI</h4>
                                <pre>public static final&nbsp;<a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a> flagCryptoAPI</pre>
                                <div class="block">A flag that specifies whether CryptoAPI RC4 or ECMA-376 encryption
                                    ECMA-376 is used. It MUST be 1 unless flagExternal is 1. If flagExternal is 1, it
                                    MUST be 0.
                                </div>
                            </li>
                        </ul>
                        <a name="flagDocProps">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>flagDocProps</h4>
                                <pre>public static final&nbsp;<a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a> flagDocProps</pre>
                                <div class="block">A value that MUST be 0 if document properties are encrypted.
                                    The encryption of document properties is specified in section 2.3.5.4.
                                </div>
                            </li>
                        </ul>
                        <a name="flagExternal">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>flagExternal</h4>
                                <pre>public static final&nbsp;<a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a> flagExternal</pre>
                                <div class="block">A value that MUST be 1 if extensible encryption is used. If this
                                    value is 1,
                                    the value of every other field in this structure MUST be 0.
                                </div>
                            </li>
                        </ul>
                        <a name="flagAES">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>flagAES</h4>
                                <pre>public static final&nbsp;<a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a> flagAES</pre>
                                <div class="block">A value that MUST be 1 if the protected content is an ECMA-376
                                    document
                                    ECMA-376. If the fAES bit is 1, the fCryptoAPI bit MUST also be 1.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EncryptionInfo-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EncryptionInfo</h4>
                                <pre>public&nbsp;EncryptionInfo(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
               throws java.io.IOException</pre>
                                <div class="block">Opens for decryption</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="EncryptionInfo-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EncryptionInfo</h4>
                                <pre>public&nbsp;EncryptionInfo(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)
               throws java.io.IOException</pre>
                                <div class="block">Opens for decryption</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="EncryptionInfo-org.apache.poi.util.LittleEndianInput-org.apache.poi.poifs.crypt.EncryptionMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EncryptionInfo</h4>
                                <pre>public&nbsp;EncryptionInfo(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                        title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;dis,
                      <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                         title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;preferredEncryptionMode)
               throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="EncryptionInfo-org.apache.poi.poifs.crypt.EncryptionMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EncryptionInfo</h4>
                                <pre>public&nbsp;EncryptionInfo(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;encryptionMode)</pre>
                                <div class="block">Prepares for encryption, using the given Encryption Mode, and
                                    all other parameters as default.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#EncryptionInfo-org.apache.poi.poifs.crypt.EncryptionMode-org.apache.poi.poifs.crypt.CipherAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-int-int-org.apache.poi.poifs.crypt.ChainingMode-"><code>EncryptionInfo(EncryptionMode,
                                            CipherAlgorithm, HashAlgorithm, int, int, ChainingMode)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="EncryptionInfo-org.apache.poi.poifs.crypt.EncryptionMode-org.apache.poi.poifs.crypt.CipherAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-int-int-org.apache.poi.poifs.crypt.ChainingMode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EncryptionInfo</h4>
                                <pre>public&nbsp;EncryptionInfo(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;encryptionMode,
                      <a href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                         title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm,
                      <a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                         title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm,
                      int&nbsp;keyBits,
                      int&nbsp;blockSize,
                      <a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                         title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</pre>
                                <div class="block">Constructs an EncryptionInfo from scratch</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>encryptionMode</code> - see <a
                                            href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                            title="enum in org.apache.poi.poifs.crypt"><code>EncryptionMode</code></a>
                                        for values, <a
                                                href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html#cryptoAPI"><code>EncryptionMode.cryptoAPI</code></a>
                                        is for
                                        internal use only, as it's record based
                                    </dd>
                                    <dd><code>cipherAlgorithm</code> - the cipher algorithm</dd>
                                    <dd><code>hashAlgorithm</code> - the hash algorithm</dd>
                                    <dd><code>keyBits</code> - the bit count of the key</dd>
                                    <dd><code>blockSize</code> - the size of a cipher block</dd>
                                    <dd><code>chainingMode</code> - the chaining mode</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/EncryptedDocumentException.html"
                                                 title="class in org.apache.poi">EncryptedDocumentException</a></code> -
                                        if the given parameters mismatch, e.g. only certain combinations
                                        of keyBits, blockSize are allowed for a given <a
                                                href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                                title="enum in org.apache.poi.poifs.crypt"><code>CipherAlgorithm</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBuilder-org.apache.poi.poifs.crypt.EncryptionMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBuilder</h4>
                                <pre>protected static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html"
                                        title="interface in org.apache.poi.poifs.crypt">EncryptionInfoBuilder</a>&nbsp;getBuilder(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                        title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;encryptionMode)
                                           throws java.lang.ClassNotFoundException,
                                                  java.lang.IllegalAccessException,
                                                  java.lang.InstantiationException</pre>
                                <div class="block">This method loads the builder class with reflection, which may
                                    generate
                                    a <code>ClassNotFoundException</code> if the class is not on the classpath.
                                    For example, <a
                                            href="../../../../../org/apache/poi/poifs/crypt/agile/AgileEncryptionInfoBuilder.html"
                                            title="class in org.apache.poi.poifs.crypt.agile"><code>AgileEncryptionInfoBuilder</code></a>
                                    is contained in the <code>poi-ooxml</code> package since the class makes use of some
                                    OOXML
                                    classes rather than using the <code>poi</code> package and plain XML DOM calls.
                                    As such, you may need to include <code>poi-ooxml</code> and
                                    <code>poi-ooxml-schemas</code> to load
                                    some encryption mode builders. See bug #60021 for more information.
                                    https://bz.apache.org/bugzilla/show_bug.cgi?id=60021
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>encryptionMode</code> - the encryption mode</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an encryption info builder</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ClassNotFoundException</code> - if the builder class is not on
                                        the classpath
                                    </dd>
                                    <dd><code>java.lang.IllegalAccessException</code> - if the builder class can't be
                                        loaded
                                    </dd>
                                    <dd><code>java.lang.InstantiationException</code> - if the builder class can't be
                                        loaded
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVersionMajor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVersionMajor</h4>
                                <pre>public&nbsp;int&nbsp;getVersionMajor()</pre>
                            </li>
                        </ul>
                        <a name="getVersionMinor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVersionMinor</h4>
                                <pre>public&nbsp;int&nbsp;getVersionMinor()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptionFlags--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptionFlags</h4>
                                <pre>public&nbsp;int&nbsp;getEncryptionFlags()</pre>
                            </li>
                        </ul>
                        <a name="getHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a>&nbsp;getHeader()</pre>
                            </li>
                        </ul>
                        <a name="getVerifier--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerifier</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a>&nbsp;getVerifier()</pre>
                            </li>
                        </ul>
                        <a name="getDecryptor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDecryptor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
                                                    title="class in org.apache.poi.poifs.crypt">Decryptor</a>&nbsp;getDecryptor()</pre>
                            </li>
                        </ul>
                        <a name="getEncryptor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                                    title="class in org.apache.poi.poifs.crypt">Encryptor</a>&nbsp;getEncryptor()</pre>
                            </li>
                        </ul>
                        <a name="setHeader-org.apache.poi.poifs.crypt.EncryptionHeader-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeader</h4>
                                <pre>public&nbsp;void&nbsp;setHeader(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a>&nbsp;header)</pre>
                            </li>
                        </ul>
                        <a name="setVerifier-org.apache.poi.poifs.crypt.EncryptionVerifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerifier</h4>
                                <pre>public&nbsp;void&nbsp;setVerifier(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a>&nbsp;verifier)</pre>
                            </li>
                        </ul>
                        <a name="setDecryptor-org.apache.poi.poifs.crypt.Decryptor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDecryptor</h4>
                                <pre>public&nbsp;void&nbsp;setDecryptor(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Decryptor</a>&nbsp;decryptor)</pre>
                            </li>
                        </ul>
                        <a name="setEncryptor-org.apache.poi.poifs.crypt.Encryptor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEncryptor</h4>
                                <pre>public&nbsp;void&nbsp;setEncryptor(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                        title="class in org.apache.poi.poifs.crypt">Encryptor</a>&nbsp;encryptor)</pre>
                            </li>
                        </ul>
                        <a name="getEncryptionMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncryptionMode</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                                    title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a>&nbsp;getEncryptionMode()</pre>
                            </li>
                        </ul>
                        <a name="isDocPropsEncrypted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDocPropsEncrypted</h4>
                                <pre>public&nbsp;boolean&nbsp;isDocPropsEncrypted()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if Document Summary / Summary are encrypted and stored in the <code>EncryptedStream</code>
                                        stream,
                                        otherwise the Summaries aren't encrypted and located in their usual streams
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                                    title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;clone()
                     throws java.lang.CloneNotSupportedException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.CloneNotSupportedException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionInfo.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html"
               title="interface in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionInfo.html" target="_top">Frames</a>
        </li>
        <li><a href="EncryptionInfo.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
